<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<script src="lib/bpmn-viewer_production_min.js"></script>
	<script src="https://unpkg.com/jquery@3.3.1/dist/jquery.js"></script>
	<style>
      html, body, #canvas {
        height: 100%;
        padding: 0;
        margin: 0;
      }

	  .diagram-container {
		height: 100%;
	  }

      .child-instance:not(.djs-connection) .djs-visual > :nth-child(1) {
        stroke: rgba(0, 86, 0, 0.7) !important; /* color elements as red */
        fill: rgba(38,227,78,1) !important;
      }
      
      .transition-instance:not(.djs-connection) .djs-visual > :nth-child(1) {
        stroke: rgba(108, 41, 29, 0.7) !important; /* color elements as red */
        fill: rgba(227,96,38,1) !important;
      }
    </style>
</head>
<body>
	<script th:inline="javascript">
	  var CAMUNDA_REST = '';
	  var BUSINESS_KEY = [[${businessKey}]];

      function drawDiagram(xml, processInstanceId) {
		var canvasName = 'canvas' + processInstanceId;
        $('<div id="' + canvasName + '" class="diagram-container"></div>').appendTo('body');
		var bpmnViewer = new BpmnJS({
			container: '#' + canvasName
        });
        bpmnViewer.importXML(xml, function(err) {
          var canvas = bpmnViewer.get('canvas');
          canvas.zoom('fit-viewport');
          $.get(CAMUNDA_REST + '/process-instance/' + processInstanceId + '/activity-instances', 
          function(json) {
			JSON.parse(json).childActivityInstances.forEach(function(item){
			canvas.addMarker(item.activityId, 'child-instance');
			});
			JSON.parse(json).childTransitionInstances.forEach(function(item){
			canvas.addMarker(item.activityId, 'transition-instance');
			});
		  }, 'text');
        });
      }

	  $.get(CAMUNDA_REST + '/process-instance?businessKey=' + BUSINESS_KEY, function(json) {
		  JSON.parse(json).forEach(function(process) {
			    $.get(CAMUNDA_REST + '/process-definition/' + process.definitionId + '/xml', function(json) {
					drawDiagram(JSON.parse(json).bpmn20Xml, process.id);
					}, 'text');
			  });
	  }, 'text');
	  
    </script>
</body>
</html>
